backtrace.c File Reference

Routines realted to generating call back traces. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include "config.h"`
`#include <execinfo.h>`

## Functions

static void | _osmo_backtrace (int use_printf, int subsys, int level)
void | osmo_generate_backtrace (void)
| Generate and print a call back-trace. More...
void | osmo_log_backtrace (int subsys, int level)
| Generate and log a call back-trace. More...

## Detailed Description

Routines realted to generating call back traces.

## Function Documentation

## osmo_generate_backtrace()

void osmo_generate_backtrace | ( | void |  | ) |

Generate and print a call back-trace.

This function will generate a function call back-trace of the current process and print it to stdout.

## osmo_log_backtrace()

void osmo_log_backtrace | ( | int | subsys,
|  | int | level
| ) |  |

Generate and log a call back-trace.

This function will generate a function call back-trace of the current process and log it to the specified subsystem and level using the libosmocore logging subsystem